Package org.apache.cxf.common.util

# Class ReflectionInvokationHandler

java.lang.Object
org.apache.cxf.common.util.ReflectionInvokationHandler

All Implemented Interfaces:
  `InvocationHandler`

public class ReflectionInvokationHandler extends Object implements InvocationHandler

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `ReflectionInvokationHandler.Optional`
  `static @interface`
  `ReflectionInvokationHandler.UnwrapParam`
  `static @interface`
  `ReflectionInvokationHandler.WrapReturn`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectionInvokationHandler(Object obj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `createProxyWrapper(Object target, Class<T> inf)`
  `Object`
  `getTarget()`
  `Object`
  `invoke(Object proxy, Method method, Object[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReflectionInvokationHandler

    public ReflectionInvokationHandler(Object obj)

- ## Method Details

  - ### getTarget

    public Object getTarget()

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable
    Specified by:
      `invoke` in interface `InvocationHandler`
    Throws:
      `Throwable`

  - ### createProxyWrapper

    public static <T> T createProxyWrapper(Object target, Class<T> inf)